Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.collections
Class RadkeHashMap

    java.lang.Object
      edu.emory.mathcs.util.collections.RadkeHashMap

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class RadkeHashMap
extends java.lang.Object
implements java.util.Map, java.lang.Cloneable, java.io.Serializable

Version:
  1.0
Author:
  Dawid Kurzyniec
See Also:
  Serialized Form

Constructor Summary
`RadkeHashMap()`
`RadkeHashMap(int initialCapacity)`
`RadkeHashMap(int initialCapacity, float loadFactor)`
`RadkeHashMap(int initialCapacity, float loadFactor, float resizeTreshold)`
`RadkeHashMap(java.util.Map m)`

Method Summary
`void` | `clear()`
`java.lang.Object` | `clone()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object val)`
`java.util.Set` | `entrySet()`
`boolean` | `equals(java.lang.Object other)`
`java.lang.Object` | `get(java.lang.Object key)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`static void` | `main(java.lang.String[] args)`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map map)`
`static int` | `radkeAtLeast(int n)` Returns a Radke prime that is at least as big as the specified number.
`java.lang.Object` | `remove(java.lang.Object key)`
`int` | `size()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RadkeHashMap

    public RadkeHashMap()

### RadkeHashMap

    public RadkeHashMap(int initialCapacity)

### RadkeHashMap

    public RadkeHashMap(int initialCapacity,
                        float loadFactor)

### RadkeHashMap

    public RadkeHashMap(int initialCapacity,
                        float loadFactor,
                        float resizeTreshold)

### RadkeHashMap

    public RadkeHashMap(java.util.Map m)

Method Detail

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`

### containsValue

    public boolean containsValue(java.lang.Object val)

  Specified by:
    `containsValue` in interface `java.util.Map`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map`

### putAll

    public void putAll(java.util.Map map)

  Specified by:
    `putAll` in interface `java.util.Map`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`

### equals

    public boolean equals(java.lang.Object other)

  Specified by:
    `equals` in interface `java.util.Map`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map`

### clone

    public java.lang.Object clone()

### radkeAtLeast

    public static int radkeAtLeast(int n)

  Returns a Radke prime that is at least as big as the specified number.

  Parameters:
    `n` - int the number
  Returns:
    int the Radke prime not smaller than n

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD